*,*::before,*::after {
  box-sizing: border-box;
}

.App {
  display: grid;
  grid-template-columns: 1fr;
  padding: 1rem;
}

@media (min-width: 400px) {
  .App {
    grid-template-columns: 1fr 1fr;
  }
}

.Board {
  border: 4px solid darkgray;
  width: 308px;
  height: 308px;
  position: relative;
}

.Board::after {
  content: ' ';
  display: block;
  height: 50px;
  width: 4px;
  position: absolute;
  top: 100px;
  right: -4px;
  background: white;
}

.Piece {
  position: absolute;
  width: 50px;
  height: 50px;
  opacity: 0.9;
  padding: 1px;
  background-clip: content-box;
}

input {
  width: 64px;
}

.PieceInputLabel {
  display: inline-block;
  width: 48px;
  text-align: end;
}
